Metadata-Version: 2.4
Name: awsweb
Version: 1.5.0
Summary: A simple FastAPI web server
Project-URL: Homepage, https://github.com/kejun91/aws-web
Project-URL: Repository, https://github.com/kejun91/aws-web
Project-URL: Issues, https://github.com/kejun91/aws-web/issues
Author-email: Jun Ke <kejun91@gmail.com>
License-Expression: MIT
License-File: LICENSE
Classifier: Development Status :: 3 - Alpha
Classifier: Framework :: FastAPI
Classifier: Intended Audience :: Developers
Classifier: License :: OSI Approved :: MIT License
Classifier: Programming Language :: Python :: 3
Classifier: Programming Language :: Python :: 3.9
Classifier: Programming Language :: Python :: 3.10
Classifier: Programming Language :: Python :: 3.11
Classifier: Programming Language :: Python :: 3.12
Classifier: Programming Language :: Python :: 3.13
Requires-Python: >=3.9
Requires-Dist: aws-sso-lite
Requires-Dist: boto3>=1.28.0
Requires-Dist: botocore>=1.31.0
Requires-Dist: fastapi>=0.100.0
Requires-Dist: httpx>=0.24.0
Requires-Dist: psutil>=5.9.0
Requires-Dist: python-dateutil>=2.8.0
Requires-Dist: tenacity>=8.0.0
Requires-Dist: uvicorn[standard]>=0.20.0
Provides-Extra: dev
Requires-Dist: httpx>=0.24.0; extra == 'dev'
Requires-Dist: pytest>=7.0; extra == 'dev'
Requires-Dist: ruff>=0.1.0; extra == 'dev'
Description-Content-Type: text/markdown

# awsweb

A simple FastAPI web server, installable from PyPI.

## Installation

```bash
pip install awsweb
```

## Usage

Run the server:

```bash
awsweb
```

Options:

```
awsweb --host 127.0.0.1 --port 8080 --reload
```

| Flag       | Default   | Description                     |
|------------|-----------|---------------------------------|
| `--host`   | `0.0.0.0` | Host to bind to                |
| `--port`   | `8000`    | Port to bind to                |
| `--reload` | off       | Enable auto-reload (dev mode)  |

## Endpoints

| Method | Path      | Description           |
|--------|-----------|-----------------------|
| GET    | `/`       | Welcome message       |
| GET    | `/health` | Health check          |

## Development

```bash
pip install -e ".[dev]"
pytest
```

## License

MIT